From e5af5f4ba51e74ac1106344c79a7a53602ec7726 Mon Sep 17 00:00:00 2001
From: Felix Lechner <felix.lechner@lease-up.com>
Date: Wed, 1 Jun 2022 15:37:04 -0700
Subject: [PATCH] Upgrade nyacc to 1.07.0.

This version resolves an issue in 'compile-ffi' when generating FFI
bindings from pam_client.h in Linux-PAM. [1][2]

[1] https://git.savannah.nongnu.org/cgit/nyacc.git/commit/?h=main&id=098ecc12ff91839a8ce96216e301fc23779e49ec
[2] https://savannah.nongnu.org/bugs/?62546
---
 gnu/packages/mes.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/mes.scm b/gnu/packages/mes.scm
index 17a58fbf61..2823297e3f 100644
--- a/gnu/packages/mes.scm
+++ b/gnu/packages/mes.scm
@@ -98,14 +98,14 @@ (define-public nyacc-0.99
 (define-public nyacc
   (package
     (inherit nyacc-0.99)
-    (version "1.06.5")
+    (version "1.07.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://savannah/nyacc/nyacc-"
                                   version ".tar.gz"))
               (sha256
                (base32
-                "1fbzz9bm4mkz4j40l2z02zjlbqj82dmv2ayz83zl3j8gj6z3lpdg"))
+                "01qb6h6bk684z8xda5d71q5f5l2z3q9jjz36if3jbpjc7b8dxjap"))
               (modules '((guix build utils)))
               (snippet
                '(substitute* "configure"

base-commit: 582b4bb4ce8239b321af8b75e866992aff16b8a9
-- 
2.36.1

